collaborative Protection Profile Module for Server Applications v1.0e

Profile details

Status active
Valid from 17.06.2024
Valid until N/A
Scheme πŸ‡ΊπŸ‡Έ US
Category Other Devices and Systems
Security level N/A

Certification report

certification report could not be downloaded, no link is available.

Protection profile

Extracted keywords

Protocols
SSH, TLS, DTLS

Claims
O.WELL-BEHAVED_SERVER, T.LOCAL_ATTACK_SERVER, T.PLATFORM_UPDATE_SERVER, T.UNTRUSTED_COMMUNICATION_CHANNELS_SERVER, OE.SECURE_LOCATION_SERVER
Security Functional Requirements (SFR)
FAU_GEN, FCO_CPC_EXT, FCO_CPC_EXT.1, FMT_MEC_EXT, FMT_SMF, FMT_MEC_EXT.1, FMT_SMF.1, FPT_AEX_EXT, FPT_ITT, FPT_AEX_EXT.2, FPT_AEX_EXT.1.3, FPT_ITT.1, FPT_MEC_EXT

Standards
RFC 5280, RFC 6960, RFC 5759, CCMB-2017-04-001, CCMB-2017-04-002, CCMB-2017-04-003, CCMB-2017-04-004

References

No references are available for this protection profile.

Processing updates

Feed
  • The protection profile data changed.
  • The protection profile was first processed.

Raw data

{
  "_id": "421fcb9341c78ad0",
  "_type": "sec_certs.sample.protection_profile.ProtectionProfile",
  "dgst": "421fcb9341c78ad0",
  "heuristics": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.Heuristics"
  },
  "pdf_data": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.PdfData",
    "pp_filename": "",
    "pp_keywords": {
      "asymmetric_crypto": {},
      "cc_cert_id": {},
      "cc_claims": {
        "O": {
          "O.WELL-BEHAVED_SERVER": 2
        },
        "OE": {
          "OE.SECURE_LOCATION_SERVER": 2
        },
        "T": {
          "T.LOCAL_ATTACK_SERVER": 2,
          "T.PLATFORM_UPDATE_SERVER": 2,
          "T.UNTRUSTED_COMMUNICATION_CHANNELS_SERVER": 2
        }
      },
      "cc_protection_profile_id": {},
      "cc_sar": {},
      "cc_security_level": {},
      "cc_sfr": {
        "FAU": {
          "FAU_GEN": 3
        },
        "FCO": {
          "FCO_CPC_EXT": 10,
          "FCO_CPC_EXT.1": 9
        },
        "FMT": {
          "FMT_MEC_EXT": 4,
          "FMT_MEC_EXT.1": 2,
          "FMT_SMF": 3,
          "FMT_SMF.1": 1
        },
        "FPT": {
          "FPT_AEX_EXT": 8,
          "FPT_AEX_EXT.1.3": 1,
          "FPT_AEX_EXT.2": 5,
          "FPT_ITT": 4,
          "FPT_ITT.1": 4,
          "FPT_MEC_EXT": 4
        }
      },
      "certification_process": {},
      "cipher_mode": {},
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "SSH": {
          "SSH": 1
        },
        "TLS": {
          "DTLS": {
            "DTLS": 1
          },
          "TLS": {
            "TLS": 1
          }
        }
      },
      "crypto_scheme": {},
      "device_model": {},
      "ecc_curve": {},
      "eval_facility": {},
      "hash_function": {},
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {},
      "side_channel_analysis": {},
      "standard_id": {
        "CC": {
          "CCMB-2017-04-001": 1,
          "CCMB-2017-04-002": 1,
          "CCMB-2017-04-003": 1,
          "CCMB-2017-04-004": 1
        },
        "RFC": {
          "RFC 5280": 2,
          "RFC 5759": 1,
          "RFC 6960": 1
        }
      },
      "symmetric_crypto": {},
      "technical_report_id": {},
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {},
      "vulnerability": {}
    },
    "pp_metadata": {
      "/Author": "MOD_APP_SERVER_v1.0e",
      "/CreationDate": "D:20240215163415-06\u002700\u0027",
      "/Creator": "Asciidoctor PDF 2.3.10, based on Prawn 2.4.0",
      "/ModDate": "D:20240215161028-06\u002700\u0027",
      "/Producer": "MOD_APP_SERVER_v1.0e",
      "/Title": "collaborative PP-Module for Server Applications",
      "pdf_file_size_bytes": 281652,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": [
          "https://appswcpp.github.io/cPP/AppSW_cPP_allowed-with-list.pdf",
          "http://www.commoncriteriaportal.org/"
        ]
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 14
    },
    "report_filename": null,
    "report_keywords": null,
    "report_metadata": null
  },
  "scheme_metadata": {
    "cc_version": "3.1",
    "pp_short_name": "MOD_CPP_SERVER_V1.0e",
    "pp_sponsor_id": "Application Software iTC",
    "pp_transition": null,
    "predecessor": null,
    "source_scheme": "US",
    "successor": null
  },
  "state": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.InternalState",
    "pp": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "d9d6ed8eaec6b2465dfaaff4b1e5f66cbf67fa88e53c117d618e9a57d8a49631",
      "source_hash": "27608d5c0702de4ce1a0e7979eff685e187a34552deca9136d5466ad4772ccc2",
      "txt_hash": "f7074484820b1d8dec51574d3af0b9da0da4e5d374cd7ef6682cf37ae7fa6e64"
    },
    "report": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": false,
      "download_ok": false,
      "extract_ok": false,
      "json_hash": null,
      "source_hash": null,
      "txt_hash": null
    }
  },
  "web_data": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.WebData",
    "category": "Other Devices and Systems",
    "is_collaborative": true,
    "maintenances": [],
    "name": "collaborative Protection Profile Module for Server Applications v1.0e",
    "not_valid_after": null,
    "not_valid_before": "2024-06-17",
    "pp_link": "https://www.niap-ccevs.org/api/file/get_public_file/?file_id=30028",
    "report_link": null,
    "scheme": "US",
    "security_level": {
      "_type": "Set",
      "elements": []
    },
    "status": "active",
    "version": "1.0e"
  }
}